VSTGUI: CFrame::Impl Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Public Types | Public Attributes | List of all members
CFrame::Impl Struct Reference

## Classes
struct | PostEventHandler

## Public Types
using | ViewList = std::list<CView*>
using | FunctionQueue = std::queue<EventProcessingFunction>
using | ModalViewSessionStack = std::stack<ModalViewSession>

## Public Attributes
PlatformFramePtr | platformFrame
VSTGUIEditorInterface * | editor {nullptr}
IViewAddedRemovedObserver * | viewAddedRemovedObserver {nullptr}
SharedPointer< CTooltipSupport > | tooltips
SharedPointer< Animation::Animator > | animator
Optional< ModalViewSessionID > | legacyModalViewSessionID
CView * | focusView {nullptr}
CView * | activeFocusView {nullptr}
CollectInvalidRects * | collectInvalidRects {nullptr}
ViewList | mouseViews
ModalViewSessionStack | modalViewSessionStack
DispatchList< CView * > | windowActiveStateChangeViews
DispatchList< IScaleFactorChangedListener * > | scaleFactorChangedListenerList
DispatchList< IMouseObserver * > | mouseObservers
DispatchList< IFocusViewObserver * > | focusViewObservers
DispatchList< IKeyboardHook * > | keyboardHooks
FunctionQueue | postEventFunctionQueue
std::optional< ViewLayout > | lastCheckSizeConstraintLayout
ModalViewSessionID | modalViewSessionIDCounter {0}
double | userScaleFactor {1.}
double | platformScaleFactor {1.}
bool | active {false}
bool | windowActive {false}
bool | inEventHandling {false}
BitmapInterpolationQuality | bitmapQuality {BitmapInterpolationQuality::kDefault}

## Member Typedef Documentation

## ◆ FunctionQueue

using FunctionQueue = std::queue<EventProcessingFunction>

## ◆ ModalViewSessionStack

using ModalViewSessionStack = std::stack<ModalViewSession>

## ◆ ViewList

using ViewList = std::list<CView*>

## Member Data Documentation

## ◆ active

bool active {false}

## ◆ activeFocusView

CView* activeFocusView {nullptr}

## ◆ animator

SharedPointer<Animation::Animator> animator

## ◆ bitmapQuality

BitmapInterpolationQuality bitmapQuality {BitmapInterpolationQuality::kDefault}

## ◆ collectInvalidRects

CollectInvalidRects* collectInvalidRects {nullptr}

## ◆ editor

VSTGUIEditorInterface* editor {nullptr}

## ◆ focusView

CView* focusView {nullptr}

## ◆ focusViewObservers

DispatchList<IFocusViewObserver*> focusViewObservers

## ◆ inEventHandling

bool inEventHandling {false}

## ◆ keyboardHooks

DispatchList<IKeyboardHook*> keyboardHooks

## ◆ lastCheckSizeConstraintLayout

std::optional<ViewLayout> lastCheckSizeConstraintLayout

## ◆ legacyModalViewSessionID

Optional<ModalViewSessionID> legacyModalViewSessionID

## ◆ modalViewSessionIDCounter

ModalViewSessionID modalViewSessionIDCounter {0}

## ◆ modalViewSessionStack

ModalViewSessionStack modalViewSessionStack

## ◆ mouseObservers

DispatchList<IMouseObserver*> mouseObservers

## ◆ mouseViews

ViewList mouseViews

## ◆ platformFrame

PlatformFramePtr platformFrame

## ◆ platformScaleFactor

double platformScaleFactor {1.}

## ◆ postEventFunctionQueue

FunctionQueue postEventFunctionQueue

## ◆ scaleFactorChangedListenerList

DispatchList<IScaleFactorChangedListener*> scaleFactorChangedListenerList

## ◆ tooltips

SharedPointer<CTooltipSupport> tooltips

## ◆ userScaleFactor

double userScaleFactor {1.}

## ◆ viewAddedRemovedObserver

IViewAddedRemovedObserver* viewAddedRemovedObserver {nullptr}

## ◆ windowActive

bool windowActive {false}

## ◆ windowActiveStateChangeViews

DispatchList<CView*> windowActiveStateChangeViews

The documentation for this struct was generated from the following file:

- cframe.cpp